class JWP_Bumper_Multiball extends JWP_Bumper placeable ClassGroup( Pinball );

/* Ran on collision.                                                          */
/*----------------------------------------------------------------------------*/
event RigidBodyCollision( PrimitiveComponent HitComponent, PrimitiveComponent OtherComponent, const out CollisionImpactData RigidCollisionData, int ContactIndex )
{

    /* Run the superclass's RigidBodyCollision function.  Let Bumper handle bumper-specific stuff like the sound and points. */
    Super.RigidBodyCollision( HitComponent, OtherComponent, RigidCollisionData, ContactIndex );

    /* Tell the Gameinfo a multiball was hit! */
    JWP_Gameinfo( WorldInfo.Game ).Multiball();

}

defaultproperties
{

    /* Use the multiball specific bumper cap.                                     */
    /*----------------------------------------------------------------------------*/
    Begin Object Name=StaticMeshComponent0

        StaticMesh = StaticMesh'JWPContent.Multiball';

    End Object

    /* No points for hitting this. */
    Points = 0;

}