class JWP_Flipper extends JWP_TableObject;

var() int PaddleID;

function Flip( int FlipID )
{

    if( FlipID == PaddleID ) PhysicsTarget = PhysicsOpen;

}

function Unflip( int FlipID )
{

    if( FlipID == PaddleID ) PhysicsTarget = PhysicsClosed;

}

simulated event Tick( float DeltaSeconds )
{

    local Rotator Temp;

    Super.Tick( DeltaSeconds );

    Temp.Pitch = 0;
    Temp.Roll = 0;

    Temp.Yaw = PhysicsCurrent;
    StaticMeshComponent.SetRotation( Temp );

}

defaultproperties
{

    Begin Object Name=AudioComponent0

        SoundCue = SoundCue'JWPContent.Clack';

    End Object

    PhysicsDamping = 0.0001f;
    PhysicsOpen = 6144.0f;
    PhysicsClosed = 0.0f;
    PhysicsMinimum = -2048.0f;
    PhysicsMaximum = 8192.0f;
    PhysicsLimitbounce = 0.3f;
    PhysicsSpeed = 100.0f;

    PaddleID = 0;

}
